using System;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using Krystalware.SlickUpload;
using Krystalware.SlickUpload.Controls;
using Krystalware.SlickUpload.Status;

namespace UploadManagerCustom
{
	public class _Default : System.Web.UI.Page 
	{
		protected Krystalware.SlickUpload.Controls.UploadManager uploadManager;
		protected System.Web.UI.WebControls.Button submitButton;
		protected System.Web.UI.WebControls.Repeater resultsRepeater;
		protected System.Web.UI.WebControls.Button restartButton;
		protected System.Web.UI.HtmlControls.HtmlGenericControl resultsMessage;
		protected System.Web.UI.WebControls.Panel uploadPanel;
		protected System.Web.UI.WebControls.Panel uploadResultsPanel;

		private void InitializeComponent()
		{

		}
			   
		protected void uploadManager_UploadComplete(object sender, UploadStatusEventArgs args)
		{
			uploadPanel.Visible = false;
			uploadResultsPanel.Visible = true;

			if (args.Status.Reason == UploadTerminationReason.NotTerminated)
			{
				resultsMessage.InnerText = "Upload completed successfully. The following files were uploaded:";

				resultsRepeater.DataSource = args.Status.GetUploadedFiles();
				resultsRepeater.DataBind();
			}
			else
			{
				if (args.Status.Reason == UploadTerminationReason.Disconnected)
				{
					resultsMessage.InnerText = "Upload was cancelled.";
				}
				else
				{
					resultsMessage.InnerHtml = "Upload resulted in an error.<br />Reason:" + args.Status.Reason.ToString() + "<br />Message:" +
						args.Status.ErrorMessage;
				}
				resultsMessage.Style["color"] = "red";
			}
		}

		protected void restartButton_Click(object sender, EventArgs e)
		{
			uploadPanel.Visible = true;
			uploadResultsPanel.Visible = false;
		}	
	}
}