Imports Krystalware.SlickUpload.Controls
Imports Krystalware.SlickUpload.Status

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub uploadManager_UploadComplete(ByVal sender As Object, ByVal e As Krystalware.SlickUpload.Controls.UploadStatusEventArgs) Handles uploadManager.UploadComplete
        uploadPanel.Visible = False
        uploadResultsPanel.Visible = True

        If e.Status.Reason = UploadTerminationReason.NotTerminated Then
            resultsMessage.InnerText = "Upload completed successfully. The following files were uploaded:"

            resultsRepeater.DataSource = e.Status.GetUploadedFiles()
            resultsRepeater.DataBind()
        Else
            If e.Status.Reason = UploadTerminationReason.Disconnected Then
                resultsMessage.InnerText = "Upload was cancelled."
            Else
                resultsMessage.InnerHtml = "Upload resulted in an error.<br />Reason:" + e.Status.Reason.ToString() + "<br />Message:" + _
                e.Status.ErrorMessage
            End If
            resultsMessage.Style("color") = "red"
        End If
    End Sub

    Protected Sub restartButton_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles restartButton.Click
        uploadPanel.Visible = True
        uploadResultsPanel.Visible = False
    End Sub
End Class
